Skip to content
Start here

List Objects

client.durableObjects.namespaces.objects.list(stringid, ObjectListParams { account_id, cursor, limit } params, RequestOptionsoptions?): CursorPaginationAfter<DurableObject { id, hasStoredData } >
GET/accounts/{account_id}/workers/durable_objects/namespaces/{id}/objects

Returns the Durable Objects in a given namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
id: string

ID of the namespace.

params: ObjectListParams { account_id, cursor, limit }
account_id: string

Path param: Identifier.

maxLength32
cursor?: string

Query param: Opaque token indicating the position from which to continue when requesting the next set of records. A valid value for the cursor can be obtained from the cursors object in the result_info structure.

limit?: number

Query param: The number of objects to return. The cursor attribute may be used to iterate over the next batch of objects if there are more than the limit.

maximum10000
minimum10
ReturnsExpand Collapse
DurableObject { id, hasStoredData }
id?: string

ID of the Durable Object.

hasStoredData?: boolean

Whether the Durable Object has stored data.

List Objects

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const durableObject of client.durableObjects.namespaces.objects.list(
  '5fd1cafff895419c8bcc647fc64ab8f0',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
)) {
  console.log(durableObject.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "fe7803fc55b964e09d94666545aab688d360c6bda69ba349ced1e5f28d2fc2c8",
      "hasStoredData": true
    }
  ],
  "result_info": {
    "count": 1,
    "cursor": "AAAAANuhDN7SjacTnSVsDu3WW1Lvst6dxJGTjRY5BhxPXdf6L6uTcpd_NVtjhn11OUYRsVEykxoUwF-JQU4dn6QylZSKTOJuG0indrdn_MlHpMRtsxgXjs-RPdHYIVm3odE_uvEQ_dTQGFm8oikZMohns34DLBgrQpc",
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "fe7803fc55b964e09d94666545aab688d360c6bda69ba349ced1e5f28d2fc2c8",
      "hasStoredData": true
    }
  ],
  "result_info": {
    "count": 1,
    "cursor": "AAAAANuhDN7SjacTnSVsDu3WW1Lvst6dxJGTjRY5BhxPXdf6L6uTcpd_NVtjhn11OUYRsVEykxoUwF-JQU4dn6QylZSKTOJuG0indrdn_MlHpMRtsxgXjs-RPdHYIVm3odE_uvEQ_dTQGFm8oikZMohns34DLBgrQpc",
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}